import { ActionFormData } from "@minecraft/server-ui";
export default class Upgrade_Form extends ActionFormData {
    constructor() {
        super(...arguments);
        this.buttons = new Array();
    }
    title(title) {
        super.title(title + "§u§f");
        return this;
    }
    body(text) {
        super.body("§r§f" + text);
        return this;
    }
    button(text, texture) {
        this.buttons.push(text);
        super.button(text, "textures/ui/uncommon/" + texture);
        return this;
    }
    empty(amount) {
        for (let i = 0; i < amount; i++) {
            this.button("§x§b");
        }
    }
    view(texture) {
        this.button("texture_button", texture);
    }
}
